HANDLE_PERCPU_DEVID_(9)

NAME
handle_percpu_devid_irq - Per CPU local irq handler with per cpu dev ids

SYNOPSIS

void handle_percpu_devid_irq(unsigned int irq, struct irq_desc * desc);

ARGUMENTS

irq
    the interrupt number

desc
    the interrupt description structure for this irq

DESCRIPTION

Per CPU interrupts on SMP machines without locking requirements. Same as handle_percpu_irq above but with the following extras:

action->percpu_dev_id is a pointer to percpu variables which contain the real device id for the cpu on which this handler is called

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT